/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for NuclearCardiologyProtocols
 */
public enum EnumCM_NuclearCardiologyProtocols 
{

	STRESS_THALLIUM_PROCEDURE("Stress thallium procedure"),
	REST_THALLIUM_STRESS_TECHNETIUM_PROCEDURE("Rest thallium/stress technetium procedure"),
	REST_TECHNETIUM_STRESS_TECHNETIUM_1_DAY_PROCEDURE("Rest technetium/stress technetium 1 day procedure"),
	REST_TECHNETIUM_STRESS_TECHNETIUM_2_DAY_PROCEDURE("Rest technetium/stress technetium 2 day procedure"),
	STRESS_TECHNETIUM_REST_TECHNETIUM_1_DAY_PROCEDURE("Stress technetium/rest technetium 1 day procedure"),
	NM_MYOCARDIAL_VIABILITY_PROCEDURE("NM Myocardial Viability procedure");
	
	private String value;

	EnumCM_NuclearCardiologyProtocols(String strValue)
	{
		this.value = strValue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
